Subject: [PATCH 0/2] WIP: Add phosh.

From: Jonathan Brielmaier <[email-masked]>
Date: Mon, 2 Nov 2020 23:13:01 +0100

Hi folks,

I finally send in patches for phosh, a wayland shell intended for mobile phones (Librem 5, PinePhone).
As the subject states they are still WIP, but I invested quite a lot and I'm now stuck.

phoc:
- kind of works (e.g. `phoc -E chatty`)
- the package it self is still a little ugly. I'll make it nicer when phosh works...

phosh:
ATTENTION: Testing phosh in it's current state can freeze your system.
           You may need `SysRq+Alt+f` to unfreeze.

running phosh as user:
$ phosh
/gnu/store/gsj43q0svqskfw5w1q7dyngdn8g6ypqb-gnome-session-3.34.2/bin/..gnome-session-real-real: line 16: gsettings: command not found
(phoc:22717): phoc-wlroots-CRITICAL **: 23:00:15.854: [backend/session/direct-ipc.c:47] Do not have root privileges; cannot become DRM master
(phoc:22717): phoc-wlroots-CRITICAL **: 23:00:15.855: [backend/session/session.c:96] Failed to load session backend
(phoc:22717): phoc-wlroots-CRITICAL **: 23:00:15.855: [backend/backend.c:195] failed to start a session
(phoc:22717): phoc-wlroots-CRITICAL **: 23:00:15.855: [backend/backend.c:235] failed to start backend 'drm'
(phoc:22717): phoc-server-ERROR **: 23:00:15.855: Could not create backend
Trace/Breakpoint ausgelöst

I'm not sure if that is just an issue of elogind/systemd:
https://github.com/elogind/elogind/commit/e197b9443b0dd3812396f1d3502f2e9ef5b6e6f0

running phosh as root:
# phosh
directly freezes your system, nothing happens. It's not really verbose.

traps: phoc[14788] trap int3 ip:7fe22feeeaa1 sp:7ffdb281e3c0 error:0 in libglib-2.0.so.0.6200.6[7fe22feb6000+7d000]
is in the logs just before the OOM execution logging.

Any ideas how I can get phosh working?

Kind regards
Jonathan Brielmaier (2):
  WIP: gnu: Add phoc.
  WIP: gnu: Add phosh.

 gnu/packages/gnome.scm | 139 +++++++++++++++++++++++++++++++++++++++++
 1 file changed, 139 insertions(+)

--
2.29.2